org.eclipse.ease.ui.scripts.expressions.definitions

## Class WithExpressionDefinition

- java.lang.Object
- - org.eclipse.ease.ui.scripts.expressions.definitions.AbstractExpressionDefinition
  - - org.eclipse.ease.ui.scripts.expressions.definitions.AbstractCompositeExpressionDefinition
    - - org.eclipse.ease.ui.scripts.expressions.definitions.WithExpressionDefinition

All Implemented Interfaces:
  ICompositeExpressionDefinition, IExpressionDefinition

    public class WithExpressionDefinition
    extends AbstractCompositeExpressionDefinition

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ease.ui.scripts.expressions.definitions.AbstractExpressionDefinition

`AbstractExpressionDefinition.Parameter`

### Constructor Summary

Constructors
Constructor and Description
`WithExpressionDefinition()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Expression` `toCoreExpression()`

### Methods inherited from class org.eclipse.ease.ui.scripts.expressions.definitions.AbstractCompositeExpressionDefinition

`acceptsChild, addChild, getChildren, removeChild, serialize`

### Methods inherited from class org.eclipse.ease.ui.scripts.expressions.definitions.AbstractExpressionDefinition

`getDescription, getParameters, getParent, hasParameter, setConfiguration, setParameter, setParameterValues, setParent, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.ease.ui.scripts.expressions.IExpressionDefinition

`getDescription, getParent, hasParameter, setParameter, setParameterValues, setParent`

### Constructor Detail

#### WithExpressionDefinition

    public WithExpressionDefinition()

### Method Detail

#### toCoreExpression

    public Expression toCoreExpression()

Specified by:
  `toCoreExpression` in interface `IExpressionDefinition`
Specified by:
  `toCoreExpression` in class `AbstractExpressionDefinition`